org.apache.cassandra.cql3

## Class QueryProcessor

- java.lang.Object
- - org.apache.cassandra.cql3.QueryProcessor

-     public class QueryProcessor
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SemanticVersion` | `CQL_VERSION`
    `static int` | `MAX_CACHE_PREPARED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CQLStatement` | `getPrepared(java.lang.Integer id)`
    `static CQLStatement` | `getPrepared(MD5Digest id)`
    `static ParsedStatement` | `parseStatement(java.lang.String queryStr)`
    `static ResultMessage.Prepared` | `prepare(java.lang.String queryString, ClientState clientState, boolean forThrift)`
    `static UntypedResultSet` | `process(java.lang.String query, ConsistencyLevel cl)`
    `static ResultMessage` | `process(java.lang.String queryString, ConsistencyLevel cl, QueryState queryState)`
    `static UntypedResultSet` | `processInternal(java.lang.String query)`
    `static ResultMessage` | `processPrepared(CQLStatement statement, ConsistencyLevel cl, QueryState queryState, java.util.List<java.nio.ByteBuffer> variables)`
    `static UntypedResultSet` | `resultify(java.lang.String query, Row row)`
    `static void` | `validateColumnName(java.nio.ByteBuffer name)`
    `static void` | `validateColumnNames(java.lang.Iterable<java.nio.ByteBuffer> columnNames)`
    `static void` | `validateKey(java.nio.ByteBuffer key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CQL_VERSION

          public static final SemanticVersion CQL_VERSION

    - #### MAX_CACHE_PREPARED

          public static final int MAX_CACHE_PREPARED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueryProcessor

          public QueryProcessor()

  - ### Method Detail

    - #### getPrepared

          public static CQLStatement getPrepared(MD5Digest id)

    - #### getPrepared

          public static CQLStatement getPrepared(java.lang.Integer id)

    - #### validateKey

          public static void validateKey(java.nio.ByteBuffer key)
                                  throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### validateColumnNames

          public static void validateColumnNames(java.lang.Iterable<java.nio.ByteBuffer> columnNames)
                                          throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### validateColumnName

          public static void validateColumnName(java.nio.ByteBuffer name)
                                         throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### process

          public static ResultMessage process(java.lang.String queryString,
                              ConsistencyLevel cl,
                              QueryState queryState)
                                       throws RequestExecutionException,
                                              RequestValidationException

      Throws:
        `RequestExecutionException`
        `RequestValidationException`

    - #### process

          public static UntypedResultSet process(java.lang.String query,
                                 ConsistencyLevel cl)
                                          throws RequestExecutionException

      Throws:
        `RequestExecutionException`

    - #### processInternal

          public static UntypedResultSet processInternal(java.lang.String query)

    - #### resultify

          public static UntypedResultSet resultify(java.lang.String query,
                                   Row row)

    - #### prepare

          public static ResultMessage.Prepared prepare(java.lang.String queryString,
                                       ClientState clientState,
                                       boolean forThrift)
                                                throws RequestValidationException

      Throws:
        `RequestValidationException`

    - #### processPrepared

          public static ResultMessage processPrepared(CQLStatement statement,
                                      ConsistencyLevel cl,
                                      QueryState queryState,
                                      java.util.List<java.nio.ByteBuffer> variables)
                                               throws RequestExecutionException,
                                                      RequestValidationException

      Throws:
        `RequestExecutionException`
        `RequestValidationException`

    - #### parseStatement

          public static ParsedStatement parseStatement(java.lang.String queryStr)
                                                throws SyntaxException

      Throws:
        `SyntaxException`

Copyright © 2014 The Apache Software Foundation